---
title: uuid
slug: Web/API/BluetoothRemoteGATTService/uuid
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTService
  - Experimental
  - Property
  - Reference
  - Web Bluetooth API
  - uuid
---
<p>{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothGATTService.uuid</code></strong> read-only property returns a {{domxref("DOMString")}} representing the UUID of this service.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>uuid</em> = BluetoothGATTService.<em>uuid</em></pre>

<h3 id="Returns">Returns</h3>

<p>A {{domxref("DOMString")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetoothremotegattservice-uuid", "uuid")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTService.uuid")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
